Eclipse Platform Release 3.7

## org.eclipse.swt.custom
Interface ExtendedModifyListener

All Superinterfaces:
  EventListener, org.eclipse.swt.internal.SWTEventListener

    public interface ExtendedModifyListener

extends org.eclipse.swt.internal.SWTEventListener

Classes which implement this interface provide a method that deals with the event that is generated when text is modified.

See Also:
  `ExtendedModifyEvent`, Sample code and further information

Method Summary
`void` `modifyText(ExtendedModifyEvent event)` This method is called after a text change occurs.

Method Detail

### modifyText

    void modifyText(ExtendedModifyEvent event)

  This method is called after a text change occurs.

  The following event fields are used:

  - event.start the start offset of the new text (input)
  - event.length the length of the new text (input)
  - event.replacedText the replaced text (input)

  Parameters:
    `event` - the given event
  See Also:
    `ExtendedModifyEvent`

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.